<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.campaign-workspace.dialog.title.planning-iterations'"
  (confirm)="confirm()"
  [attr.data-test-dialog-id]="ITERATION_PLANNING_DIALOG_ID"
>
  <sqtm-core-dialog-body>
    <div [formGroup]="formGroup">
      <table class="full-width m-b-10" aria-label="Iteration planning">
        <tr>
          <th>{{ 'sqtm-core.entity.generic.name.label' | translate }}</th>
          <th>
            {{
              'sqtm-core.campaign-workspace.planning.scheduled-start'
                | translate
            }}
          </th>
          <th>
            {{
              'sqtm-core.campaign-workspace.planning.scheduled-end' | translate
            }}
          </th>
        </tr>
        @for (iterPlanning of conf.iterationPlannings; track iterPlanning) {
          <tr
            [attr.data-test-element-id]="
              'iteration-planning-' + iterPlanning.id
            "
          >
            <td
              nz-tooltip
              [sqtmCoreLabelTooltip]="iterPlanning.name"
              style="
                text-overflow: ellipsis;
                white-space: nowrap;
                overflow: hidden;
                max-width: 100px;
              "
            >
              {{ iterPlanning.name }}
            </td>
            <td
              [attr.data-test-element-id]="
                'iteration-' + iterPlanning.id + '-scheduled-start-date'
              "
            >
              <sqtm-core-date-picker
                [formGroup]="formGroup"
                [fieldName]="iterPlanning.name + '-scheduledStartDate'"
              ></sqtm-core-date-picker>
            </td>
            <td
              [attr.data-test-element-id]="
                'iteration-' + iterPlanning.id + '-scheduled-end-date'
              "
            >
              <sqtm-core-date-picker
                [formGroup]="formGroup"
                [fieldName]="iterPlanning.name + '-scheduledEndDate'"
              ></sqtm-core-date-picker>
            </td>
          </tr>
        }
      </table>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
